Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdUVTriangleStream Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
RtDWORD | GetNumUVTripleIndices (void)
HRESULT | SetNumUVTripleIndices ([in] RtDWORD dwNumUVTripleIndices)
HRESULT | i ([in] RtDWORD dwIndex,[out, retval] RtUlong *pVal)
HRESULT | i ([in] RtDWORD dwIndex,[in] RtUlong newVal)
HRESULT | j ([in] RtDWORD dwIndex,[out, retval]RtUlong *pVal)
HRESULT | j ([in] RtDWORD dwIndex,[in] RtUlong newVal)
HRESULT | k ([in] RtDWORD dwIndex,[out, retval] RtUlong *pVal)
HRESULT | k ([in] RtDWORD dwIndex,[in] RtUlong newVal)

## Detailed Description

IRdTriangleEdgesStream stores UV coordinates indices for each triangle. Data stream for this index stream are held by IRdUVCoordStream.

The stream is part of IRdMesh and is stored in Triangle stream group. Stream is identified by STREAMID_TRIANGLES_UVS id.

## Member Function Documentation

RtDWORD IRdUVTriangleStream::GetNumUVTripleIndices | ( | void |  | ) |

| Get number of triangles Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdUVTriangleStream::SetNumUVTripleIndices | ( | [in] RtDWORD | dwNumUVTripleIndices | ) |

| Set number of triangles Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdUVTriangleStream::i | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

| Get index of first UV coordinate of i-th triangle Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdUVTriangleStream::i | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

| Set index of first UV coordinate of i-th triangle Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdUVTriangleStream::j | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

| Get index of second UV coordinate of i-th triangle Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdUVTriangleStream::j | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

| Set index of second UV coordinate of i-th triangle Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdUVTriangleStream::k | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

| Get index of third UV coordinate of i-th triangle Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdUVTriangleStream::k | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

| Set index of third UV coordinate of i-th triangle Returns: standard HRESULT processing can be applied to returned value